import request from '@/utils/request'

// 查询任务状态字典列表
export function listTaskStatus(query) {
    return request({
        url: '/system/taskStatus/list',
        method: 'get',
        params: query
    })
}
// 任务细分名称
export function taskPartitionList(query) {
    return request({
        url: '/system/partition/taskPartitionList',
        method: 'get',
        params: query
    })
}


// 查询任务状态字典详细
export function getTaskStatus(id) {
    return request({
        url: '/system/taskStatus/' + id,
        method: 'get'
    })
}

// 新增任务状态字典
export function addTaskStatus(data) {
    return request({
        url: '/system/taskStatus/add',
        method: 'post',
        data: data
    })
}

// 修改任务状态字典
export function updateTaskStatus(data) {
    return request({
        url: '/system/taskStatus/edit',
        method: 'put',
        data: data
    })
}

// 删除任务状态字典
export function delTaskStatus(id) {
    return request({
        url: '/system/taskStatus/' + id,
        method: 'delete'
    })
}
